<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>
	

	<xsd:element name="RTM_ISDN_SPAN" type="RtmIsdnSpanContent"/>
	<xsd:element name="SPAN_ID" type="xsd:integer"/>
	<xsd:element name="IS_SPAN_ATTACHED_TO_SERVICE" type="xsd:boolean"/>
	<xsd:element name="SPAN_ALARM" type="RtmIsdnSpanAlarmType"/>
	<xsd:element name="SPAN_D_CHANNEL_STATE" type="RtmIsdnSpanDChannelStateType"/>
	<xsd:element name="SPAN_CLOCKING" type="RtmIsdnSpanClockingType"/>


	<xsd:simpleType name="RtmIsdnSpanAlarmType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="no_alarm"/>
			<xsd:enumeration value="yellow_alarm"/>
			<xsd:enumeration value="red_alarm"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="RtmIsdnSpanDChannelStateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="d_channel_established"/>
			<xsd:enumeration value="d_channel_not_established"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="RtmIsdnSpanClockingType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="clocking_none"/>
			<xsd:enumeration value="clocking_primary"/>
			<xsd:enumeration value="clocking_backup"/>
		</xsd:restriction>
	</xsd:simpleType>


	<xsd:complexType name="RtmIsdnSpanContent">
		<xsd:sequence>
			<xsd:element ref="SLOT_NUMBER"/>
			<xsd:element ref="SPAN_ID"/>
			<xsd:element ref="SERVICE_NAME"/>
			<xsd:element ref="IS_SPAN_ATTACHED_TO_SERVICE"/>
			<xsd:element ref="SPAN_ALARM" minOccurs="0"/>
			<xsd:element ref="SPAN_D_CHANNEL_STATE" minOccurs="0"/>
			<xsd:element ref="SPAN_CLOCKING" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>
